classdef class_bug51276
  methods  
    function obj = class_bug51276 (varargin)
    endfunction
    function val = getval (obj, opt)
      switch (opt)
        case "local"
          val = local_function ();
        case "local->private"
          val = local_function (true);
        case "private"
          val = private_function ();
        case "private->local"
          val = private_function (true);
        case "method"
          val = method_function (obj);
        case "method<->private"
          val = method_function (obj, true);
      endswitch
    endfunction
    function ret = method_function (obj, in)
      if (nargin < 2)
        ret = "method";
      else
        ret = private_function ();
      endif
    endfunction
  endmethods
endclassdef

function ret = local_function (in)
  if (! nargin)
    ret = "local";
  else
    ret = private_function();
  endif
endfunction
